Package net.shibboleth.spring.security.trust

# Class PKIXResourceValidationInfoParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.security.trust.AbstractPKIXValidationInfoParser
net.shibboleth.spring.security.trust.PKIXResourceValidationInfoParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class PKIXResourceValidationInfoParser extends AbstractPKIXValidationInfoParser
Parser for <ValidationInfo type="PKIXFilesystem"> and <ValidationInfo type="PKIXResourceBacked">.

All of the heavy lifting is done in the super class and the associated factory bean (which gets the parameters of the type is wants by virtue of Springs type coercion).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`TYPE_NAME_RESOURCE`
Schema type for PKIXResourceBackedValidationInformation.

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`PKIXResourceValidationInfoParser()`

## Method Summary

Modifier and Type
Method
Description
`protected Class<?>`
`getBeanClass(Element element)`

### Methods inherited from class net.shibboleth.spring.security.trust.AbstractPKIXValidationInfoParser

`doParse`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME_RESOURCE

@Nonnull public static final QName TYPE_NAME_RESOURCE
Schema type for PKIXResourceBackedValidationInformation.

## Constructor Details

### PKIXResourceValidationInfoParser

public PKIXResourceValidationInfoParser()

## Method Details

### getBeanClass

@Nonnull protected Class<?> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`